Subject: bug#13334: 24.3.50; enhancement request: `C-0 M-n' reverses order of defaults

From: "Drew Adams" <[email-masked]>
Date: Thu, 3 Jan 2013 16:40:13 -0800

> > Simply adding the default value(s) to the history is 
> > enough, provided you also do what is done in Icicles:
> > provide a minibuffer key (available always, not just
> > during completion) that lets you complete
> > against the history list.  I use `M-o' for this (by default).
> 
> Web browsers use `M-down', so we could provide the same.
> I don't expect much controversy in regard to this key ;-)

FWIW -

1. I use `M-down' for incremental frame movements (down).  Cursor keys should
generally be used for directional actions, if possible.  (FWIW, M-down does
nothing in my web browser.  And basing Emacs keys on what some web browsers
might use them for is not a strong argument, IMO.)

2. I chose `M-o' for history element completion & insertion because it is bound
globally to a command that is not particularly useful in the minibuffer.